package jalview.ws;

import static org.junit.Assert.*;
import jalview.datamodel.AlignmentI;
import jalview.datamodel.SequenceI;
import jalview.ws.seqfetcher.DbSourceProxy;

import java.util.List;

import org.junit.Before;
import org.junit.Test;

public class PDBSequenceFetcherTest
{

  SequenceFetcher sf;
  @Before
  public void setUp() throws Exception
  {
    sf = new SequenceFetcher(false);
  }

  @Test
  public void testPdbPerChainRetrieve() throws Exception
  {
    List<DbSourceProxy> sps = sf
    .getSourceProxy("PDB");
    AlignmentI response = sps.get(0).getSequenceRecords("1QIPA");
    assertTrue(response!=null);
    assertTrue(response.getHeight()==1);
  }
  @Test
  public void testRnaSeqRetrieve() throws Exception
  {
    List<DbSourceProxy> sps = sf
    .getSourceProxy("PDB");
    AlignmentI response = sps.get(0).getSequenceRecords("2GIS");
    assertTrue(response!=null);
    assertTrue(response.getHeight()==1);
    for (SequenceI sq:response.getSequences())
    {
      assertTrue("No annotation transfered to sequence.",sq.getAnnotation().length>0);
      assertTrue("No PDBEntry on sequence.",sq.getPDBId().size()>0);
      assertTrue("No RNA annotation on sequence.", sq.getRNA()!=null);
    }
  }

}
